Package writer2latex.xhtml

# Class HeadingStyleConverter

java.lang.Object
writer2latex.xhtml.StyleConverterHelper
writer2latex.xhtml.HeadingStyleConverter

public class HeadingStyleConverter extends StyleConverterHelper

## Field Summary

### Fields inherited from class writer2latex.xhtml.StyleConverterHelper

`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`HeadingStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyInnerStyle(int nLevel, String sStyleName, StyleInfo info)`
Apply an inner style on a heading.
`void`
`applyStyle(int nLevel, String sStyleName, StyleInfo info)`
Apply a style on a heading
`String`
`getStyleDeclarations(String sIndent)`
Convert style information for used styles
`OfficeStyleFamily`
`getStyles()`
Get the OpenDocument style family associated with this StyleConverterHelper

### Methods inherited from class writer2latex.xhtml.StyleConverterHelper

`applyDirection, applyLang, colScale, scale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HeadingStyleConverter

public HeadingStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)

## Method Details

### getStyleDeclarations

public String getStyleDeclarations(String sIndent)
Description copied from class: `StyleConverterHelper`

Convert style information for used styles

Specified by:
  `getStyleDeclarations` in class `StyleConverterHelper`
Parameters:
  `sIndent` - a String of spaces to add before each line

### getStyles

public OfficeStyleFamily getStyles()
Description copied from class: `StyleConverterHelper`
Get the OpenDocument style family associated with this StyleConverterHelper

Specified by:
  `getStyles` in class `StyleConverterHelper`
Returns:
  the style family

### applyStyle

public void applyStyle(int nLevel, String sStyleName, StyleInfo info)
Apply a style on a heading

Parameters:
  `nLevel` - the heading level
  `sStyleName` - the style name
  `info` - add style information to this StyleInfo

### applyInnerStyle

public void applyInnerStyle(int nLevel, String sStyleName, StyleInfo info)
Apply an inner style on a heading. The inner style surrounds the text content, excluding the numbering label. Inner styles are not an OpenDocument feature, but is provided as an additional style hook for own style sheets. An inner style is only applied if there is an explicit style map for the style.

Parameters:
  `nLevel` - the heading level
  `sStyleName` - the style name
  `info` - add style information to this StyleInfo